Package com.complexible.common.rdf.query

# Class IteratorAsGraphQueryResult

java.lang.Object
com.google.common.collect.UnmodifiableIterator<Statement>
com.google.common.collect.AbstractIterator<Statement>
com.complexible.common.rdf.query.IteratorAsQueryResult<Statement>
com.complexible.common.rdf.query.IteratorAsGraphQueryResult

All Implemented Interfaces:
  `CloseableIterator<Statement>`, `GraphQueryResult`, `QueryResult<Statement>`, `AutoCloseable`, `Iterator<Statement>`

public final class IteratorAsGraphQueryResult extends IteratorAsQueryResult<Statement> implements GraphQueryResult

Adapter class for using a StatementIteration as a Sesame GraphQueryResult.

Since:
  0.4
Author:
  Michael Grove

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.CloseableIterator

  `CloseableIterator.AbstractCloseableIterator<T>, CloseableIterator.DelegatingCloseableIterator<T>, CloseableIterator.EmptyCloseableIterator<T>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IteratorAsGraphQueryResult(CloseableIterator<Statement> theIter, Iterable<Namespace> theNamespacesProvider, Runnable theOnClose, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnFailure)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Namespaces`
  `namespaces()`
  The set of namespaces, if specified, that are to be used with the result set.

  ### Methods inherited from class com.complexible.common.rdf.query.IteratorAsQueryResult

  `close, computeNext`

  ### Methods inherited from class com.google.common.collect.AbstractIterator

  `endOfData, hasNext, next, peek`

  ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

  `remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.stardog.stark.query.GraphQueryResult

  `toGraph`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

  ### Methods inherited from interface com.stardog.stark.query.QueryResult

  `close, hasNext, metadata, next, stream`

- ## Constructor Details

  - ### IteratorAsGraphQueryResult

    public IteratorAsGraphQueryResult(CloseableIterator<Statement> theIter, Iterable<Namespace> theNamespacesProvider, Runnable theOnClose, Runnable theOnSuccess, Function<Exception,RuntimeException> theOnFailure)

- ## Method Details

  - ### namespaces

    @Nonnull public Namespaces namespaces()
    The set of namespaces, if specified, that are to be used with the result set.
    Specified by:
      `namespaces` in interface `GraphQueryResult`
    Returns:
      the namespaces